Listar programaciones Pix
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/schedules \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/schedules"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"accountId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"amount": "100.50",
"attemptCount": 0,
"attempts": [
{
"attemptedAt": "2026-08-15T06:00:02Z",
"endToEndId": "E1234567820260815060011111111111",
"failureMessage": "Midaz error: balance below required (06:00 BRT attempt)",
"failureReason": "INSUFFICIENT_FUNDS",
"initiationId": "a1111111-1111-4111-8111-111111111111",
"transferId": "f1a2b3c4-1111-4d5e-9f6a-7b8c9d0e1f23"
}
],
"cancelledAt": "2026-05-19T09:15:33Z",
"createdAt": "2026-05-26T12:30:00Z",
"description": "Recurring charge installment 03/12",
"destination": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "CACC"
},
"key": "john.doe@example.com",
"owner": {
"document": "12345678901",
"name": "John Doe",
"tradeName": "John's Business"
}
},
"endToEndId": "E1234567820260815060012345678901",
"executedAt": "2026-08-15T06:00:04Z",
"failedAt": "2026-08-15T06:00:04Z",
"failureMessage": "<string>",
"failureReason": "INSUFFICIENT_FUNDS",
"firedAt": "2026-08-15T06:00:04Z",
"id": "01989f9e-6508-79f8-9540-835be49fbd0d",
"initiationId": "550e8400-e29b-41d4-a716-446655440010",
"initiationType": "MANUAL",
"maxAttempts": 2,
"recurrenceId": "01988a7c-1234-7abc-8def-111122223333",
"scheduledFor": "2026-08-15T09:00:00Z",
"status": "SCHEDULED",
"transferId": "c8d27e3f-4a5b-6c7d-8e9f-0a1b2c3d4e5f",
"updatedAt": "2026-05-26T12:30:00Z"
}
],
"limit": 10,
"page": 1,
"total": 42
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}Listar programaciones Pix
Lista las programaciones que pertenecen a la cuenta de quien llama, con filtro de estado opcional y paginación.
GET
/
v1
/
schedules
Listar programaciones Pix
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Encabezados
Identificador único de la cuenta del Ledger de Midaz (formato UUID).
Parámetros de consulta
Filtra por estado de la programación
Opciones disponibles:
SCHEDULED, PROCESSING, EXECUTED, FAILED, CANCELLED Número máximo de elementos por página.
Rango requerido:
1 <= x <= 100Número de página para la paginación.
Rango requerido:
x >= 1Respuesta
OK
Items contiene las filas de programaciones de la página actual.
Show child attributes
Show child attributes
Limit es la cantidad máxima de elementos por página.
Ejemplo:
10
Page es el número de la página actual (a partir de 1).
Ejemplo:
1
Total es el conteo total de programaciones que coinciden con el filtro, en todas las páginas, limitado al X-Account-Id de quien llama.
Ejemplo:
42
¿Esta página le ayudó?
Pagar y confirmar una recurrencia de Pix Automático escaneada
Anterior
Crear una programación Pix
Siguiente
⌘I

